io.agora.rtc.apm

## Class AinsConfig

- java.lang.Object
- - io.agora.rtc.apm.AinsConfig

-     public class AinsConfig
      extends java.lang.Object

  AI Noise Suppression (AINS) configuration. Used for intelligent noise suppression in audio processing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `aiNsEnabled` Enable or disable AI NS (AI Noise Suppression) Default: true (enabled)
    `private int` | `aiNsModelPref` AI NS model preference Default: 10
    `private boolean` | `nsEnabled` Enable or disable NS (Noise Suppression) Default: true (enabled)
    `private int` | `nsngAlgRoute` NSNG algorithm route Default: 12
    `private int` | `nsngPredefAgg` NSNG predefined aggressiveness Default: 11

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AinsConfig()` Default constructor for AinsConfig.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAiNsModelPref()` Gets the AI NS model preference.
    `int` | `getNsngAlgRoute()` Gets the NSNG algorithm route.
    `int` | `getNsngPredefAgg()` Gets the NSNG predefined aggressiveness.
    `boolean` | `isAiNsEnabled()` Checks if AI NS is enabled.
    `boolean` | `isNsEnabled()` Checks if NS is enabled.
    `void` | `setAiNsEnabled(boolean aiNsEnabled)` Sets whether AI NS is enabled.
    `void` | `setAiNsModelPref(int aiNsModelPref)` Sets the AI NS model preference.
    `void` | `setNsEnabled(boolean nsEnabled)` Sets whether NS is enabled.
    `void` | `setNsngAlgRoute(int nsngAlgRoute)` Sets the NSNG algorithm route.
    `void` | `setNsngPredefAgg(int nsngPredefAgg)` Sets the NSNG predefined aggressiveness.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### aiNsEnabled

          private boolean aiNsEnabled

      Enable or disable AI NS (AI Noise Suppression) Default: true (enabled)

    - #### nsEnabled

          private boolean nsEnabled

      Enable or disable NS (Noise Suppression) Default: true (enabled)

    - #### aiNsModelPref

          private int aiNsModelPref

      AI NS model preference Default: 10

    - #### nsngAlgRoute

          private int nsngAlgRoute

      NSNG algorithm route Default: 12

    - #### nsngPredefAgg

          private int nsngPredefAgg

      NSNG predefined aggressiveness Default: 11

  - ### Constructor Detail

    - #### AinsConfig

          public AinsConfig()

      Default constructor for AinsConfig.

  - ### Method Detail

    - #### isAiNsEnabled

          public boolean isAiNsEnabled()

      Checks if AI NS is enabled.
      Returns:
        true if enabled, false otherwise

    - #### setAiNsEnabled

          public void setAiNsEnabled(boolean aiNsEnabled)

      Sets whether AI NS is enabled.
      Parameters:
        `aiNsEnabled` - true to enable, false to disable

    - #### isNsEnabled

          public boolean isNsEnabled()

      Checks if NS is enabled.
      Returns:
        true if enabled, false otherwise

    - #### setNsEnabled

          public void setNsEnabled(boolean nsEnabled)

      Sets whether NS is enabled.
      Parameters:
        `nsEnabled` - true to enable, false to disable

    - #### getAiNsModelPref

          public int getAiNsModelPref()

      Gets the AI NS model preference.
      Returns:
        AI NS model preference

    - #### setAiNsModelPref

          public void setAiNsModelPref(int aiNsModelPref)

      Sets the AI NS model preference.
      Parameters:
        `aiNsModelPref` - AI NS model preference

    - #### getNsngAlgRoute

          public int getNsngAlgRoute()

      Gets the NSNG algorithm route.
      Returns:
        NSNG algorithm route

    - #### setNsngAlgRoute

          public void setNsngAlgRoute(int nsngAlgRoute)

      Sets the NSNG algorithm route.
      Parameters:
        `nsngAlgRoute` - NSNG algorithm route

    - #### getNsngPredefAgg

          public int getNsngPredefAgg()

      Gets the NSNG predefined aggressiveness.
      Returns:
        NSNG predefined aggressiveness

    - #### setNsngPredefAgg

          public void setNsngPredefAgg(int nsngPredefAgg)

      Sets the NSNG predefined aggressiveness.
      Parameters:
        `nsngPredefAgg` - NSNG predefined aggressiveness

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`